# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Lingo Template

game: Lingo
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Lingo:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  shuffle_doors:
    # This option specifies how doors open.
    # 
    # - **None:** Doors in the game will open the way they do in vanilla.
    # - **Panels:** Doors still open as in vanilla, but the panels that open the
    #   doors will be locked, and an item will be required to unlock the panels.
    # - **Doors:** the doors themselves are locked behind items, and will open
    #   automatically without needing to solve a panel once the key is obtained.
    none: 50
    panels: 0
    doors: 0

  group_doors:
    # By default, door shuffle in either panels or doors mode will create individual keys for every panel or door to be locked.
    # 
    # When group doors is on, some panels and doors are sorted into logical groups, which are opened together by receiving an item.
    'false': 50
    'true': 0

  location_checks:
    # Determines what locations are available.
    # 
    # - **Normal:** There will be a location check for each panel set that would
    #   ordinarily open a door, as well as for achievement panels and a small
    #   handful of other panels.
    # - **Reduced:** Many of the locations that are associated with opening doors
    #   are removed.
    # - **Insanity:** Every individual panel in the game is a location check.
    normal: 50
    reduced: 0
    insanity: 0

  shuffle_colors:
    # If on, an item is added to the pool for every puzzle color (besides White).
    # 
    # You will need to unlock the requisite colors in order to be able to solve
    # puzzles of that color.
    'false': 0
    'true': 50

  shuffle_panels:
    # Determines how panel puzzles are randomized.
    # 
    # - **None:** Most panels remain the same as in the base game. Note that there are
    #   some panels (in particular, in Starting Room and Second Room) that are changed
    #   by the randomizer even when panel shuffle is disabled.
    # - **Rearrange:** The puzzles are the same as the ones in the base game, but are
    #   placed in different areas.
    # 
    # More options for puzzle randomization are planned in the future.
    none: 50
    rearrange: 0

  shuffle_paintings:
    # If on, the destination, location, and appearance of the painting warps in the game will be randomized.
    'false': 50
    'true': 0

  victory_condition:
    # Change the victory condition.
    # 
    # - **The End:** the goal is to solve THE END at the top of the tower.
    # - **The Master:** The goal is to solve THE MASTER at the top of the tower,
    #   after getting the number of achievements specified in the Mastery
    #   Achievements option.
    # - **Level 2:** The goal is to solve LEVEL 2 in the second room, after
    #   solving the number of panels specified in the Level 2 Requirement option.
    # - **Pilgrimage:** The goal is to solve PILGRIM in the Pilgrim Antechamber,
    #   typically after performing a Pilgrimage.
    the_end: 50
    the_master: 0
    level_2: 0
    pilgrimage: 0

  early_color_hallways:
    # When on, a painting warp to the color hallways area will appear in the starting room.
    # 
    # This lets you avoid being trapped in the starting room for long periods of
    # time when door shuffle is on.
    'false': 50
    'true': 0

  shuffle_postgame:
    # When off, locations that could not be reached without also reaching your victory condition are removed.
    'false': 50
    'true': 0

  death_link:
    # If on: Whenever another player on death link dies, you will be returned to the starting room.
    'false': 50
    'true': 0

  ##############
  # Pilgrimage #
  ##############
  enable_pilgrimage:
    # Determines how the pilgrimage works.
    # 
    # - **On:** You are required to complete a pilgrimage in order to access the
    #   Pilgrim Antechamber.
    # - **Off:** The pilgrimage will be deactivated, and the sun painting will be
    #   added to the pool, even if door shuffle is off.
    'false': 50
    'true': 0

  pilgrimage_allows_roof_access:
    # If on, you may use the Crossroads roof access during a pilgrimage (and you may be expected to do so).
    # 
    # Otherwise, pilgrimage will be deactivated when going up the stairs.
    'false': 0
    'true': 50

  pilgrimage_allows_paintings:
    # If on, you may use paintings during a pilgrimage (and you may be expected to do so).
    # 
    # Otherwise, pilgrimage will be deactivated when going through a painting.
    'false': 0
    'true': 50

  sunwarp_access:
    # Determines how access to sunwarps works.
    # 
    # - **Normal:** All sunwarps are enabled from the start.
    # - **Disabled:** All sunwarps are disabled. Pilgrimage must be disabled when
    #   this is used.
    # - **Unlock:** Sunwarps start off disabled, and all six activate once you
    #   receive an item.
    # - **Individual:** Sunwarps start off disabled, and each has a corresponding
    #   item that unlocks it.
    # - **Progressive:** Sunwarps start off disabled, and they unlock in order
    #   using a progressive item.
    normal: 50
    disabled: 0
    unlock: 0
    individual: 0
    progressive: 0

  shuffle_sunwarps:
    # If on, the pairing and ordering of the sunwarps in the game will be randomized.
    'false': 50
    'true': 0

  ###############
  # Fine-tuning #
  ###############
  progressive_orange_tower:
    # When "Shuffle Doors" is on doors mode, this setting governs the manner in which the Orange Tower floors open up.
    # 
    # - **Off:** There is an item for each floor of the tower, and each floor's
    #   item is the only one needed to access that floor.
    # - **On:** There are six progressive items, which open up the tower from the
    #   bottom floor upward.
    'false': 0
    'true': 50

  progressive_colorful:
    # When "Shuffle Doors" is on either panels or doors mode and "Group Doors" is off, this setting governs the manner in which The Colorful opens up.
    # 
    # - **Off:** There is an item for each room of The Colorful, meaning that
    #   random rooms in the middle of the sequence can open up without giving you
    #   access to them.
    # - **On:** There are ten progressive items, which open up the sequence from
    #   White forward.
    'false': 0
    'true': 50

  mastery_achievements:
    # The number of achievements required to unlock THE MASTER.
    # 
    # - In the base game, 21 achievements are needed.
    # - If you include The Scientific and The Unchallenged, which are in the base
    #   game but are not counted for mastery, 23 would be required.
    # - If you include the custom achievement (The Wanderer), 24 would be
    #   required.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 24
    21: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-24: 0 # random value between 1 and 24

  level_2_requirement:
    # The number of panel solves required to unlock LEVEL 2.
    # 
    # In the base game, 223 are needed. Note that this count includes ANOTHER TRY.
    # When set to 1, the panel hunt is disabled, and you can access LEVEL 2 for
    # free.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 800
    223: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-800: 0 # random value between 1 and 800

  trap_percentage:
    # Replaces junk items with traps, at the specified rate.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  trap_weights:
    # Specify the distribution of traps that should be placed into the pool.
    # 
    # If you don't want a specific type of trap, set the weight to zero.
    Atbash Trap: 1
    Iceland Trap: 1
    Slowness Trap: 1

  speed_boost_mode:
    # If on, the player's default speed is halved, as if affected by a Slowness Trap. Speed Boosts are added to
    # the item pool, which temporarily return the player to normal speed. Slowness Traps are removed from the pool.
    'false': 50
    'true': 0

  puzzle_skip_percentage:
    # Replaces junk items with puzzle skips, at the specified rate.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100: 0 # random value between 0 and 100

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
